# coding: utf-8

# flake8: noqa

"""
    FINTER API

    ## Finter API Document 1. Domain   - production      - https://api.finter.quantit.io/   - staging      - https://staging.api.finter.quantit.io/  2. Authorization <br><br/>(1) 토큰 발급<br/>curl -X POST https://api.finter.quantit.io/login -d {'username': '{finter_user_id}', 'password': '{finter_user_password}'<br> (2) username, password 로그인 (swagger ui 이용 시)<br/>  # noqa: E501

    OpenAPI spec version: 0.298
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

try:
    from importlib.metadata import version
except ImportError:
    # Python<3.8 compatibility
    from importlib_metadata import version

__version__ = version("finter")

# import apis into sdk package
from finter.api.aws_credentials_api import AWSCredentialsApi
from finter.api.alpha_api import AlphaApi
from finter.api.content_api import ContentApi
from finter.api.flexible_fund_api import FlexibleFundApi
from finter.api.fund_api import FundApi
from finter.api.metafund_api import MetafundApi
from finter.api.portfolio_api import PortfolioApi
from finter.api.default_api import DefaultApi
from finter.api.performance_api import PerformanceApi
from finter.api.calendar_api import CalendarApi
from finter.api.universe_api import UniverseApi

# import ApiClient
from finter.api_client import ApiClient
from finter.configuration import Configuration
# import models into sdk package
from finter.models.all_of_content_data_response_valid_data_graph import AllOfContentDataResponseValidDataGraph
from finter.models.all_of_metafund_performance_response_threeyears import AllOfMetafundPerformanceResponseThreeyears
from finter.models.alpha_identities_response import AlphaIdentitiesResponse
from finter.models.alpha_model_response import AlphaModelResponse
from finter.models.aws_credentials_response import AwsCredentialsResponse
from finter.models.content_category_response import ContentCategoryResponse
from finter.models.content_data_request import ContentDataRequest
from finter.models.content_data_response import ContentDataResponse
from finter.models.content_identites_response import ContentIdentitesResponse
from finter.models.content_model_response import ContentModelResponse
from finter.models.flexible_fund_identities_response import FlexibleFundIdentitiesResponse
from finter.models.flexible_fund_model_response import FlexibleFundModelResponse
from finter.models.base_flexible_fund_get_portfolio import BaseFlexibleFundGetPortfolio
from finter.models.base_flexible_fund_model_response import BaseFlexibleFundModelResponse
from finter.models.fund_identities_response import FundIdentitiesResponse
from finter.models.fund_model_response import FundModelResponse
from finter.models.index_response import IndexResponse
from finter.models.meta_info import MetaInfo
from finter.models.metafund_model_response import MetafundModelResponse
from finter.models.metafund_performance_response import MetafundPerformanceResponse
from finter.models.performance_data import PerformanceData
from finter.models.portfolio_identities_response import PortfolioIdentitiesResponse
from finter.models.portfolio_model_response import PortfolioModelResponse
from finter.models.base_portfolio_get_alpha import BasePortfolioGetAlpha
from finter.models.base_portfolio_model_response import BasePortfolioModelResponse
from finter.models.user_login_request import UserLoginRequest
from finter.models.user_login_response import UserLoginResponse
from finter.models.calendar_response import CalendarResponse

from finter.api.simulation_api import SimulationApi
from finter.models.simulation_request import SimulationRequest
from finter.models.simulation_response import SimulationResponse

from finter.api.submission_api import SubmissionApi
from finter.models.submission_request import SubmissionRequest
from finter.models.submission_response import SubmissionResponse

from finter.utils.convert import to_dataframe

# framework
from finter.framework_model import BaseAlpha, BasePortfolio, BaseFlexibleFund
from finter.framework_model.submission.notebook import NotebookSubmissionHelper
from finter.framework_model.submission.helper_simulation import Simulation
from finter.framework_model.aws_credentials import get_parquet_df
